@php

  use App\Libraries\ejLib;
    $var = ejLib::getInstance();
    $soapclient = $var->getWs();
    $wsClave = $var->get_wsClave();

    $usuario = $_SESSION['operador'];
    $Centro_Sal = $var->desencriptar_AES($usuario['centro_sal'], $usuario['x']);
    $Centro_Sal = trim($Centro_Sal);
    $id_doc = trim( $var->desencriptar_AES($usuario['id_doc'], $usuario['x']) );
    $CLUES_Origen = '';
    $centro_salud = $soapclient->AdministrarCatalogos_get_CentroSalud($Centro_Sal, $CLUES_Origen,$wsClave);
    $CS  = new SimpleXMLElement(utf8_encode($centro_salud));
//print_r($id_doc); die();



    $Nombre =    $var->desencriptar_AES($usuario['nombre_user'], $usuario['x']);
    $Apellido1 = $var->desencriptar_AES($usuario['apellido_user_1er'], $usuario['x']);
    $Apellido2 = $var->desencriptar_AES($usuario['apellido_user_2do'], $usuario['x']);
    $Encargado = trim($Nombre).' '.trim($Apellido1).' '.trim($Apellido2);
    $checked = '';
    $btnRegistrarPac = ''; $opcEditarPac = ''; 

    if(isset($_GET['btnRegistrarPac'])) { $btnRegistrarPac = $_GET['btnRegistrarPac']; } else { $btnRegistrarPac = '1'; } if(isset($_POST['btnRegistrarPac'])){ $btnRegistrarPac = $_POST['btnRegistrarPac'];} else { $btnRegistrarPac = '1';}

    if(isset($_GET['opcEditarPac'])) { $opcEditarPac = $_GET['opcEditarPac']; } else { $opcEditarPac ='1';}  if(isset($_POST['opcEditarPac'])) { $opcEditarPac = $_POST['opcEditarPac']; } else { $opcEditarPac ='1';}
 
    if(isset($_GET['opcNuevaCita'])) { $opcNuevaCita = $_GET['opcNuevaCita']; } else { $opcNuevaCita ='1';}  if(isset($_POST['opcNuevaCita'])) { $opcNuevaCita = $_POST['opcNuevaCita']; } else { $opcNuevaCita ='1';}
    $Activos = '1';
    if(rtrim($opcEditarPac) == 2){
      $checked = 'checked';
      $Activos = '0';
    }else {
      $checked = '';
    }

   

@endphp



<div class="box-body row" id="objBusquedaPacienteExpeIncorrecto" name ="objBusquedaPacienteExpeIncorrecto" style="background-color: #fff;">
  <div class="row">
  <div class="col-sm-2">
            <div class="input-group-sm form-group-sm">
                <label>Buscar por:</label>
                <select id="opcion_bp" name="opcion_bp" class="form-control col-md-1">
                    <option value="1">Nombre</option>
                    <option value="2">CURP</option>
                    <option value="3">Expediente</option>
                    <option value="4">Folio de Seguro Popular</option>
                </select>
            </div>
   </div>
   <div class="col-sm-2">
          <div class="form-group" style="width: 150px;">
            <label></label>
              <br><br>
              <div class="input-group input-group-sm">
                  <span class="input-group-addon">
                    <input type="checkbox" id="cp_completa" name="cp_completa" {{ $checked }}>
                  </span>
                  <br>
                  <span class="input-group-addon">Visualizar información completa del paciente</span>
                   <!-- comentado para prueba addNewPaciente -->
                   <div class="col-sm-2">
                    <?php if($btnRegistrarPac==='1'){ ?>  <button type="button" id="btn_agregar_pac" name="btn_agregar_pac" class="btn btn-primary btn-sm" title="Registrar Paciente"><span class="fa fa-user-circle-o" aria-hidden="true"></span> Registrar Paciente </button> <?php } ?>
                  </div>
              </div>
          </div>
        </div>
                 
         
      </div> <!-- termina row -->

      <div id="objBusqNombre" name="objBusqNombre">
        <div class="col-sm-4">
          <div class="input-group input-group-sm">
              <span class="input-group-addon" id="sizing-addon3" >Nombre</span>
               @if(isset($paciente->nombre))
                  <input type="text" id="nombre" name="nombre" class="form-control" value="{{  utf8_decode($paciente->nombre)}}">
               @else
                   <input type="text" id="nombre" name="nombre" class="form-control" placeholder="Mínimo 3 caracteres">
               @endif
          </div> 
        </div>
          
        <div class="col-sm-3">
         <div class="input-group input-group-sm">
           <span class="input-group-addon" id="sizing-addon3" >1er Apellido</span>
            @if(isset($paciente->ap_1er))
              <input type="text" id="apellidop" name="apellidop" class="form-control" value="{{  utf8_decode($paciente->ap_1er) }}">
            @else
              <input type="text" id="apellidop" name="apellidop" class="form-control" placeholder="Mínimo 3 caracteres">
            @endif  
         </div>
        </div>

        <div class="col-sm-3">
          <div class="input-group input-group-sm">
            <span class="input-group-addon" id="sizing-addon3" >2do Apellido</span>
            @if(isset($paciente->ap_2do))
              <input type="text" id="apellidom" name="apellidom" class="form-control" value="{{  utf8_decode($paciente->ap_2do) }}">
            @else
              <input type="text" id="apellidom" name="apellidom" class="form-control" placeholder="Mínimo 3 caracteres">
            @endif
          </div>
        </div>

      </div> <!-- termina objBusqNombre -->


      

       <!--buscar por curp -->
      <div class="row alinear_centrado" id="objBuscarCurp" name="objBuscarCurp">
        <div class="col-sm-3">
          <div class="input-group input-group-sm">
            <span class="input-group-addon" id="sizing-addon3" style="background: #eee">CURP</span>
            @if(isset($paciente->curp))
              <input type="text" id="txtCurp" name="txtCurp" class="form-control" style="width: 100%; height: 100%;" placeholder="[a-z 1-9]" value="{{ utf8_decode(trim($paciente->curp)) }}">
            @else
              <input type="text" id="txtCurp" name="txtCurp" class="form-control" style="width: 100%; height: 100%;" placeholder="[a-z 1-9]" value="">
             @endif 
            <!--<div class="input-group-addon btn btn-sm btn-success" id="cmdBuscarCurp" name="cmdBuscarCurp" ><span class="fa fa-search" aria-hidden="true" title="Buscar registros"></span> Buscar</div> -->
          </div>                        
        </div>
      </div>

      <!--Buscar por # expediente -->
      <div class="row alinear_centrado" id="objBuscarExp" name="objBuscarExp">
        <div class="col-sm-3" >
          <div class="input-group input-group-sm">
            <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Nº Expediente</span>     
            @if(isset($paciente->numexpediente))
              <input type="text" id="txtNExp" name="txtNExp" class="form-control" style="width: 100%; height: 100%;" title="Número de expediente en físico del usuario en la UMED solicitante" Value="{{ utf8_decode(trim($paciente->numexpediente)) }}" >
            @else
              <input type="text" id="txtNExp" name="txtNExp" class="form-control" style="width: 100%; height: 100%;" title="Número de expediente en físico del usuario en la UMED solicitante">
            @endif
           
          </div>
        </div> 
      </div> 

      <!-- Busqueda por folio -->
      <div class="row alinear_centrado" id="objBuscarFolio" name="objBuscarFolio">
        <div class="col-sm-3">
            <div class="input-group input-group-sm">
              <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Folio</span>
              @if(isset($paciente->folio))
                <input type="text" id="txtFolio" name="txtFolio" class="form-control" style="width: 100%; height: 100%;" title="Folio de la Derechohabiencia del usuario" Value="{{ utf8_decode(trim($paciente->folio)) }}">
                <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Consecutivo</span>
                <input style="width: 30px; height: 100%;" class="form-control" id="txtConsecutivo" name="txtConsecutivo" Value="{{ utf8_decode(trim($paciente->consecutivo)) }}"> 
              @else
                <input type="text" id="txtFolio" name="txtFolio" class="form-control" style="width: 100%; height: 100%;" title="Folio de la Derechohabiencia del usuario" >
                <span class="input-group-addon" id="sizing-addon3" style="background: #eee">Con.</span>
                <input style="width: 30px; height: 100%;" class="form-control" id="txtConsecutivo" name="txtConsecutivo">
              @endif

                                     
        </div>    
      </div>

 

         
    </div> <!-- termina objBuscarPaciente -->
<div class="row alinear_centrado" id="divBusquedaPac" name="divBusquedaPac">
     
      <button type="button" id="btn_buscar_bp" name="btn_buscar_bp" class="btn btn-primary btn-sm" title="Buscar Paciente"><span class="fa fa-search" aria-hidden="true"></span> Buscar
      </button>
      @if($opcNuevaCita== '1')
        <button type="button" id="btn_consultar_agenda" name="btn_consultar_agenda" class="btn btn-primary btn-sm" title="Consultar Agenda"><span aria-hidden="true" class="fa fa-calendar-check-o"></span> Consultar</button>
      @endif   
</div> 
 

  
  <br>

    <div id="resultadosExpedientesIncorrectos"></div>
    
   <div id="testDebug" name="testDebug" style="width: 100% !important; margin-top: 20px; margin-left: 20px; margin-right: 20px;">
    </div>



</div>


<script type="text/javascript">
  $(document).ready(function(){  
      
      $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio').addClass('hidden'); 
      $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp').addClass('hidden'); 
      $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp').addClass('hidden'); 
  });

   //busqueda por nombre
  $('#objBusquedaPacienteExpeIncorrecto #opcion_bp').change(function(){
       
        var opcBusq = $(this).val();
 
         if(opcBusq=='1'){  
          $('#objBusquedaPacienteExpeIncorrecto #objBusqNombre').removeClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio').addClass('hidden');
           $('#divBusquedaPac #btn_buscar_bp').removeClass('hidden');
          /*$('#objBuscarFolio').hide();
          $('#objBuscarCurp').hide();
          $('#objBusqNombre').show();
          $('#btn_buscar_bp').show();
          $('#objBuscarExp').hide(); */
         }
         if(opcBusq=='2'){  
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp').removeClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBusqNombre').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp').addClass('hidden');
          $('#divBusquedaPac #btn_buscar_bp').removeClass('hidden');
          
         
         }

         if(opcBusq=='3'){  
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBusqNombre').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp').removeClass('hidden');
          $('#divBusquedaPac #btn_buscar_bp').removeClass('hidden');
         }
         if(opcBusq=='4'){ 
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio').removeClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBusqNombre').addClass('hidden');
          $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp').addClass('hidden');
          $('#divBusquedaPac #btn_buscar_bp').removeClass('hidden');
         }

 });


  $('#divBusquedaPac #btn_buscar_bp').click(function(){
            $('#testDebug').hide();            
            $('#resultadosExpedientesIncorrectos').show();
            var infCompleta = '0'; if($("#cp_completa").is(':checked')) infCompleta = '1';
            var nombrePac = $('#objBusquedaPacienteExpeIncorrecto #nombre').val();
            var primerAp = $('#objBusquedaPacienteExpeIncorrecto #apellidop').val();
            var segundoAp = $('#objBusquedaPacienteExpeIncorrecto #apellidom').val();
            var clues_destino = $('#h_clues_destino').val();
            var tipoBusqueda = $('#objBusquedaPacienteExpeIncorrecto #opcion_bp').val();
            var FolioSPopular = $('#objBusquedaPacienteExpeIncorrecto #objBuscarFolio #txtFolio').val();
            var numExp = $('#objBusquedaPacienteExpeIncorrecto #objBuscarExp #txtNExp').val();
            var curp = $('#objBusquedaPacienteExpeIncorrecto #objBuscarCurp #txtCurp').val();
            var editar = $('#h_opcEditarPac').val(); 
            var opcNuevaCita = $('#h_opcNuevaCita').val(); 

         if (tipoBusqueda== '1' && nombrePac.length < 2) {
             $.notify("Es necesario que proporcione -Nombre completo-", "error");
             $('#objBusquedaPacienteExpeIncorrecto #nombre').focus();
            return false;
         }
         if (tipoBusqueda== '1' && primerAp.length < 2) {
              $.notify("Es necesario que proporcione -Primer Apellido-", "error");
             $('#objBusquedaPacienteExpeIncorrecto #apellidop').focus();
            return false;
         }
          
      
            var parametros = {
              nombrePac: nombrePac,
              primerAp: primerAp,
              segundoAp: segundoAp,
              infCompleta: 1,
              clues_destino: clues_destino,
              tipoBusqueda: tipoBusqueda,
              FolioSPopular: FolioSPopular,
              numExp: numExp,
              curp: curp, 
              editar: editar,
              opcNuevaCita: opcNuevaCita
              
            };
          
           

            jqGetAjaxShort("ConsultaExterna_getLstPaciente","resultadosExpedientesIncorrectos", parametros);
        
            
            SmoothScrollTo('#resultadosExpedientesIncorrectos');

        
        
  });



</script>









